
/****** Object:  Table [dbo].[AccChequeReceipt]    Script Date: 07/06/2021 11:31:26 ق.ظ ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[AccChequeReceipt](
	[ID] [bigint] IDENTITY(1,1) NOT NULL,
	[Numbr] [bigint] NOT NULL,
	[Type] [int] NOT NULL,
	[ReceiptDate] [date] NOT NULL,
	[Title] [nvarchar](100) NULL,
	[Recipient] [nvarchar](100) NOT NULL,
	[ForWhat] [nvarchar](100) NULL,
	[Description] [nvarchar](1000) NOT NULL,
	[Text] [nvarchar](2000) NULL,
	[UpdateDate] [datetime] NOT NULL,
	[Updater] [bigint] NOT NULL,
	[InsertDate] [datetime] NOT NULL,
	[Inserter] [bigint] NOT NULL,
 CONSTRAINT [PK_AccChequeReceipt] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[AccChequeReceipt] ADD  CONSTRAINT [DF_AccChequeReceipt_UpdateDate]  DEFAULT (getdate()) FOR [UpdateDate]
GO

ALTER TABLE [dbo].[AccChequeReceipt] ADD  CONSTRAINT [DF_AccChequeReceipt_Updater]  DEFAULT ((0)) FOR [Updater]
GO

ALTER TABLE [dbo].[AccChequeReceipt] ADD  CONSTRAINT [DF_AccChequeReceipt_InsertDate]  DEFAULT (getdate()) FOR [InsertDate]
GO

ALTER TABLE [dbo].[AccChequeReceipt] ADD  CONSTRAINT [DF_AccChequeReceipt_Inserter]  DEFAULT ((0)) FOR [Inserter]
GO


